diff -uwr source/MemoryManager/dllmain_debug.cpp 4.0/source/MemoryManager/dllmain_debug.cpp
--- source/MemoryManager/dllmain_debug.cpp	2009-02-22 13:46:56.000000000 +0800
+++ 4.0/source/MemoryManager/dllmain_debug.cpp	2011-10-11 21:34:39.789062500 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "platform.h"
 #define WIN32_LEAN_AND_MEAN
 #include <windows.h>
diff -uwr source/MemoryManager/dllmain_release.cpp 4.0/source/MemoryManager/dllmain_release.cpp
--- source/MemoryManager/dllmain_release.cpp	2009-02-22 13:46:56.000000000 +0800
+++ 4.0/source/MemoryManager/dllmain_release.cpp	2011-10-11 21:34:42.166015600 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "platform.h"
 #define WIN32_LEAN_AND_MEAN
 #include <windows.h>
diff -uwr source/MemoryManager/platform.h 4.0/source/MemoryManager/platform.h
--- source/MemoryManager/platform.h	2009-02-22 13:46:56.000000000 +0800
+++ 4.0/source/MemoryManager/platform.h	2011-10-13 07:20:31.724609300 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef _PLATFORM_WIN32_H_
 #define _PLATFORM_WIN32_H_
 
@@ -26,7 +37,6 @@
 #endif
 
 inline void YieldThread() { _mm_pause(); };
-inline void Breakpoint() { __debugbreak(); };
 #define DECLSPEC_ALIGN(alignment)	__declspec(align(alignment))
 #define DECLSPEC_RESTRICT			__declspec(restrict)
 
diff -uwr source/Mute/General.cpp 4.0/source/Mute/General.cpp
--- source/Mute/General.cpp	2009-04-12 11:51:52.000000000 +0800
+++ 4.0/source/Mute/General.cpp	2011-10-11 21:35:29.833984300 +0800
@@ -1 +1,12 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "general.h"
diff -uwr source/Mute/General.h 4.0/source/Mute/General.h
--- source/Mute/General.h	2011-04-19 12:25:00.000000000 +0800
+++ 4.0/source/Mute/General.h	2011-10-11 21:35:32.416015600 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef MUTE_INCLUDE__GENERAL_H
 #define MUTE_INCLUDE__GENERAL_H
 
diff -uwr source/Mute/Mute.cpp 4.0/source/Mute/Mute.cpp
--- source/Mute/Mute.cpp	2011-09-03 08:29:30.000000000 +0800
+++ 4.0/source/Mute/Mute.cpp	2011-10-11 21:35:34.633789000 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "General.h"
 #include "Mute.h"
 #include "gmgame.h"
@@ -7,11 +18,6 @@
 
 bool MutedPlayers[128];
 
-void* HookupAT3x(void* a, void* b, void* c, void* patch_start, void* patch_end, int (*version_selector)())
-{
-	return HookupAT3(a,b,c,patch_start,patch_end,version_selector);
-}
-
 static int getClientIdByIdentifier(const char* clientIdentifier)
 {
 	assert(clientIdentifier);
diff -uwr source/Mute/Mute.h 4.0/source/Mute/Mute.h
--- source/Mute/Mute.h	2011-04-19 12:23:28.000000000 +0800
+++ 4.0/source/Mute/Mute.h	2011-10-11 21:35:37.324218700 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #pragma once
 
 #include "gmplugin.h"
diff -uwr source/NoPoints/General.cpp 4.0/source/NoPoints/General.cpp
--- source/NoPoints/General.cpp	2011-05-15 21:11:06.000000000 +0800
+++ 4.0/source/NoPoints/General.cpp	2011-10-11 21:35:42.979492100 +0800
@@ -1 +1,12 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "general.h"
diff -uwr source/NoPoints/General.h 4.0/source/NoPoints/General.h
--- source/NoPoints/General.h	2011-05-15 21:11:06.000000000 +0800
+++ 4.0/source/NoPoints/General.h	2011-10-11 21:35:47.187500000 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef NOPOINTS_INCLUDE__GENERAL_H
 #define NOPOINTS_INCLUDE__GENERAL_H
 
diff -uwr source/NoPoints/NoPoints.cpp 4.0/source/NoPoints/NoPoints.cpp
--- source/NoPoints/NoPoints.cpp	2011-05-15 21:11:06.000000000 +0800
+++ 4.0/source/NoPoints/NoPoints.cpp	2011-10-11 21:35:52.521484300 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "General.h"
 #include "NoPoints.h"
 #include "gmgame.h"
diff -uwr source/NoPoints/NoPoints.h 4.0/source/NoPoints/NoPoints.h
--- source/NoPoints/NoPoints.h	2011-05-15 21:11:06.000000000 +0800
+++ 4.0/source/NoPoints/NoPoints.h	2011-10-11 21:35:55.698242100 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #pragma once
 
 #include "gmplugin.h"
diff -uwr source/PointsDistribution/DamagePoints.cpp 4.0/source/PointsDistribution/DamagePoints.cpp
--- source/PointsDistribution/DamagePoints.cpp	2011-05-29 07:19:48.000000000 +0800
+++ 4.0/source/PointsDistribution/DamagePoints.cpp	2011-10-11 21:36:03.346679600 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "General.h"
 #include "DamagePoints.h"
 
diff -uwr source/PointsDistribution/DamagePoints.h 4.0/source/PointsDistribution/DamagePoints.h
--- source/PointsDistribution/DamagePoints.h	2011-04-30 20:39:10.000000000 +0800
+++ 4.0/source/PointsDistribution/DamagePoints.h	2011-10-11 21:36:05.802734300 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #pragma once
 
 #include "gmplugin.h"
diff -uwr source/PointsDistribution/General.cpp 4.0/source/PointsDistribution/General.cpp
--- source/PointsDistribution/General.cpp	2011-04-30 20:39:10.000000000 +0800
+++ 4.0/source/PointsDistribution/General.cpp	2011-10-11 21:36:08.245117100 +0800
@@ -1 +1,12 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "general.h"
diff -uwr source/PointsDistribution/General.h 4.0/source/PointsDistribution/General.h
--- source/PointsDistribution/General.h	2011-04-30 20:39:10.000000000 +0800
+++ 4.0/source/PointsDistribution/General.h	2011-10-11 21:36:10.525390600 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef POINTSDISTRIBUTION_INCLUDE__GENERAL_H
 #define POINTSDISTRIBUTION_INCLUDE__GENERAL_H
 
diff -uwr source/PointsDistribution/PointsDistribution.cpp 4.0/source/PointsDistribution/PointsDistribution.cpp
--- source/PointsDistribution/PointsDistribution.cpp	2011-05-29 07:19:48.000000000 +0800
+++ 4.0/source/PointsDistribution/PointsDistribution.cpp	2011-10-11 21:36:13.567382800 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "General.h"
 #include "PointsDistribution.h"
 #include "DamagePoints.h"
diff -uwr source/PointsDistribution/PointsDistribution.h 4.0/source/PointsDistribution/PointsDistribution.h
--- source/PointsDistribution/PointsDistribution.h	2011-04-30 20:41:00.000000000 +0800
+++ 4.0/source/PointsDistribution/PointsDistribution.h	2011-10-11 21:36:16.415039000 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #pragma once
 
 #include "gmplugin.h"
diff -uwr source/Spectate/General.cpp 4.0/source/Spectate/General.cpp
--- source/Spectate/General.cpp	2011-04-30 07:44:54.000000000 +0800
+++ 4.0/source/Spectate/General.cpp	2011-10-11 22:59:30.343750000 +0800
@@ -1 +1,12 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "general.h"
diff -uwr source/Spectate/General.h 4.0/source/Spectate/General.h
--- source/Spectate/General.h	2011-04-30 07:44:54.000000000 +0800
+++ 4.0/source/Spectate/General.h	2011-10-11 23:03:07.676757800 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef SPECTATE_INCLUDE__GENERAL_H
 #define SPECTATE_INCLUDE__GENERAL_H
 
diff -uwr source/Spectate/Spectate.cpp 4.0/source/Spectate/Spectate.cpp
--- source/Spectate/Spectate.cpp	2011-09-03 08:34:54.000000000 +0800
+++ 4.0/source/Spectate/Spectate.cpp	2011-10-11 23:03:06.380859300 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "General.h"
 #include "Spectate.h"
 #include "gmgame.h"
@@ -6,11 +17,8 @@
 #include "engine_tt.h"
 #include "SoldierGameObj.h"
 #include "WeaponBagClass.h"
-
-void* HookupAT3x(void* a, void* b, void* c, void* patch_start, void* patch_end, int (*version_selector)())
-{
-	return HookupAT3(a,b,c,patch_start,patch_end,version_selector);
-}
+#include "engine_weap.h"
+#include "engine_obj2.h"
 
 static int getClientIdByIdentifier(const char* clientIdentifier)
 {
@@ -93,7 +101,12 @@
 			else
 			{
 				double speed = arguments.getDouble();
-				Get_GameObj(clientId)->As_SoldierGameObj()->Set_Max_Speed((float)speed);
+				GameObject *obj = Get_GameObj(clientId);
+				int team = Get_Team(Get_Player_ID(obj));
+				if(team == -4)
+				{
+					obj->As_SoldierGameObj()->Set_Max_Speed((float)speed);
+				}
 			}
 		}
 	}
@@ -152,6 +165,11 @@
 		Commands->Set_Is_Visible(soldier,false);
 		Commands->Set_Is_Rendered(soldier,false);
 		Commands->Set_Shield_Type(soldier,"Blamo");
+		Disarm_All_C4_Beacons(id);
+		if (soldier->Get_Vehicle())
+		{
+			Soldier_Transition_Vehicle(soldier);
+		}
 		for (SLNode<cPlayer>* PlayerIter = Get_Player_List()->Head(); (PlayerIter != NULL); PlayerIter = PlayerIter->Next())
 		{
 			cPlayer *p = PlayerIter->Data();
diff -uwr source/Spectate/Spectate.h 4.0/source/Spectate/Spectate.h
--- source/Spectate/Spectate.h	2011-08-30 17:14:06.000000000 +0800
+++ 4.0/source/Spectate/Spectate.h	2011-10-11 23:03:04.958007800 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #pragma once
 
 #include "gmplugin.h"
diff -uwr source/SuddenDeath/General.cpp 4.0/source/SuddenDeath/General.cpp
--- source/SuddenDeath/General.cpp	2011-05-22 10:13:38.000000000 +0800
+++ 4.0/source/SuddenDeath/General.cpp	2011-10-11 23:03:03.414062500 +0800
@@ -1 +1,12 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "general.h"
diff -uwr source/SuddenDeath/General.h 4.0/source/SuddenDeath/General.h
--- source/SuddenDeath/General.h	2011-08-12 06:53:48.000000000 +0800
+++ 4.0/source/SuddenDeath/General.h	2011-10-11 23:03:02.121093700 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef SUDDENDEATH_INCLUDE__GENERAL_H
 #define SUDDENDEATH_INCLUDE__GENERAL_H
 
diff -uwr source/SuddenDeath/SuddenDeath.cpp 4.0/source/SuddenDeath/SuddenDeath.cpp
--- source/SuddenDeath/SuddenDeath.cpp	2011-09-03 08:29:28.000000000 +0800
+++ 4.0/source/SuddenDeath/SuddenDeath.cpp	2011-10-11 23:03:00.555664000 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "General.h"
 #include "SuddenDeath.h"
 #include "gmgame.h"
@@ -7,11 +18,6 @@
 #include "VehicleGameObj.h"
 #include "engine_tt.h"
 
-void* HookupAT3x(void* a, void* b, void* c, void* patch_start, void* patch_end, int (*version_selector)())
-{
-	return HookupAT3(a,b,c,patch_start,patch_end,version_selector);
-}
-
 static int getClientIdByIdentifier(const char* clientIdentifier)
 {
 	assert(clientIdentifier);
diff -uwr source/SuddenDeath/SuddenDeath.h 4.0/source/SuddenDeath/SuddenDeath.h
--- source/SuddenDeath/SuddenDeath.h	2011-05-24 19:05:46.000000000 +0800
+++ 4.0/source/SuddenDeath/SuddenDeath.h	2011-10-11 23:02:56.741210900 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #pragma once
 
 #include "gmplugin.h"
diff -uwr source/bansystem/BanList.cpp 4.0/source/bansystem/BanList.cpp
--- source/bansystem/BanList.cpp	2010-07-09 18:38:52.000000000 +0800
+++ 4.0/source/bansystem/BanList.cpp	2011-10-11 21:31:10.989257800 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "General.h"
 #include "BanList.h"
 
diff -uwr source/bansystem/BanList.h 4.0/source/bansystem/BanList.h
--- source/bansystem/BanList.h	2010-07-09 18:38:52.000000000 +0800
+++ 4.0/source/bansystem/BanList.h	2011-10-11 21:31:13.936523400 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #pragma once
 
 #include "engine_string.h"
diff -uwr source/bansystem/BanListStore.cpp 4.0/source/bansystem/BanListStore.cpp
--- source/bansystem/BanListStore.cpp	2011-04-11 15:36:20.000000000 +0800
+++ 4.0/source/bansystem/BanListStore.cpp	2011-10-11 21:31:21.316406200 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "General.h"
 #include "BanListStore.h"
 
diff -uwr source/bansystem/BanListStore.h 4.0/source/bansystem/BanListStore.h
--- source/bansystem/BanListStore.h	2010-07-09 18:38:52.000000000 +0800
+++ 4.0/source/bansystem/BanListStore.h	2011-10-11 21:31:24.902343700 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #pragma once
 
 #include "BanList.h"
diff -uwr source/bansystem/BanSystem.h 4.0/source/bansystem/BanSystem.h
--- source/bansystem/BanSystem.h	2010-12-08 05:52:08.000000000 +0800
+++ 4.0/source/bansystem/BanSystem.h	2011-10-11 21:31:30.105468700 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #pragma once
 
 #include "gmplugin.h"
diff -uwr source/bansystem/General.cpp 4.0/source/bansystem/General.cpp
--- source/bansystem/General.cpp	2009-04-12 11:51:52.000000000 +0800
+++ 4.0/source/bansystem/General.cpp	2011-10-11 21:31:35.141601500 +0800
@@ -1 +1,12 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "general.h"
